---
title: List RUM replay session watchers
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Rum Replay Viewership
---

# List RUM replay session watchers{% #list-rum-replay-session-watchers %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                       |
| ----------------- | ---------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/replay/sessions/{session_id}/watchers |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/replay/sessions/{session_id}/watchers |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/replay/sessions/{session_id}/watchers      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/replay/sessions/{session_id}/watchers      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/replay/sessions/{session_id}/watchers  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/replay/sessions/{session_id}/watchers     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/replay/sessions/{session_id}/watchers |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/replay/sessions/{session_id}/watchers |

### Overview

List session watchers.

### Arguments

#### Path Parameters

| Name                         | Type   | Description                       |
| ---------------------------- | ------ | --------------------------------- |
| session_id [*required*] | string | Unique identifier of the session. |

#### Query Strings

| Name         | Type    | Description                             |
| ------------ | ------- | --------------------------------------- |
| page[size]   | integer | Number of items per page.               |
| page[number] | integer | Page number for pagination (0-indexed). |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
A list of users who have watched a RUM replay session.

| Parent field | Field                             | Type      | Description                                                                                                    |
| ------------ | --------------------------------- | --------- | -------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]            | [object]  | Array of watcher data objects.                                                                                 |
| data         | attributes                        | object    | Attributes of a user who has watched a RUM replay session, including contact information and watch statistics. |
| attributes   | handle [*required*]          | string    | Email handle of the user who watched the session.                                                              |
| attributes   | icon                              | string    | URL or identifier of the watcher's avatar icon.                                                                |
| attributes   | last_watched_at [*required*] | date-time | Timestamp when the watcher last viewed the session.                                                            |
| attributes   | name                              | string    | Display name of the user who watched the session.                                                              |
| attributes   | watch_count [*required*]     | int32     | Total number of times the user has watched the session.                                                        |
| data         | id                                | string    | Unique identifier of the watcher user.                                                                         |
| data         | type [*required*]            | enum      | Rum replay watcher resource type. Allowed enum values: `rum_replay_watcher`                                    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "handle": "john.doe@example.com",
        "icon": "string",
        "last_watched_at": "2026-01-13T17:15:53.208340Z",
        "name": "string",
        "watch_count": 0
      },
      "id": "string",
      "type": "rum_replay_watcher"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export session_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/rum/replay/sessions/${session_id}/watchers" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List rum replay session watchers returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_replay_viewership_api import RumReplayViewershipApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = RumReplayViewershipApi(api_client)
    response = api_instance.list_rum_replay_session_watchers(
        session_id="00000000-0000-0000-0000-000000000001",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# List rum replay session watchers returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::RumReplayViewershipAPI.new
p api_instance.list_rum_replay_session_watchers("00000000-0000-0000-0000-000000000001")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// List rum replay session watchers returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumReplayViewershipApi(apiClient)
	resp, r, err := api.ListRumReplaySessionWatchers(ctx, "00000000-0000-0000-0000-000000000001", *datadogV2.NewListRumReplaySessionWatchersOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumReplayViewershipApi.ListRumReplaySessionWatchers`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumReplayViewershipApi.ListRumReplaySessionWatchers`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// List rum replay session watchers returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumReplayViewershipApi;
import com.datadog.api.client.v2.model.WatcherArray;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    RumReplayViewershipApi apiInstance = new RumReplayViewershipApi(defaultClient);

    try {
      WatcherArray result =
          apiInstance.listRumReplaySessionWatchers("00000000-0000-0000-0000-000000000001");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling RumReplayViewershipApi#listRumReplaySessionWatchers");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// List rum replay session watchers returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_replay_viewership::ListRumReplaySessionWatchersOptionalParams;
use datadog_api_client::datadogV2::api_rum_replay_viewership::RumReplayViewershipAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = RumReplayViewershipAPI::with_config(configuration);
    let resp = api
        .list_rum_replay_session_watchers(
            "00000000-0000-0000-0000-000000000001".to_string(),
            ListRumReplaySessionWatchersOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * List rum replay session watchers returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.RumReplayViewershipApi(configuration);

const params: v2.RumReplayViewershipApiListRumReplaySessionWatchersRequest = {
  sessionId: "00000000-0000-0000-0000-000000000001",
};

apiInstance
  .listRumReplaySessionWatchers(params)
  .then((data: v2.WatcherArray) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
